// Do this as the first thing so that any code reading it knows the right env.
process.env.BABEL_ENV = 'test';
process.env.NODE_ENV = 'test';
process.env.PUBLIC_URL = '';

// Makes the script crash on unhandled rejections instead of silently
// ignoring them. In the future, promise rejections that are not handled will
// terminate the Node.js process with a non-zero exit code.
process.on('unhandledRejection', err => {
  throw err;
});

// Ensure environment variables are read.
require('../config/env');

const jest = require('jest');
const argv = process.argv.slice(2);

// Watch Mode cause vscode can't find breakpoint
// if (!process.env.CI && argv.indexOf('--coverage') < 0) {
//   argv.push('--watchAll');
// }

const createJestConfig = require('./utils/createJestConfig');
const path = require('path');
const paths = require('../config/paths');
const appPackageJson = require(paths.appPackageJson);
const config = createJestConfig(
  relativePath => path.resolve(__dirname, '..', relativePath),
  path.resolve(paths.appSrc, '..'),
);

argv.push('--config', JSON.stringify(Object.assign({}, config, appPackageJson.jest || {})));

jest.run(argv);
